[API]
RegEnumValueA
RegEnumValueW

[CODE]
Public Function RegEnumValue(ByVal HKEY As Long, ByVal dwIndex As Long, ByRef ReturnString As String) As Boolean
  Dim xLong1 As Long
  
  ReturnString = ""
  If IsUnicode Then
    xLong1 = ptrTempSizeXW
    RegEnumValue = (RegEnumValueW(HKEY, dwIndex, ByVal ptrTemp, xLong1, 0&, 0&, Byval 0&, 0&) = 0&)
    Else
    xLong1 = ptrTempSizeX
    RegEnumValue = (RegEnumValueA(HKEY, dwIndex, ByVal ptrTemp, xLong1, 0&, 0&, Byval 0&, 0&) = 0&)
    End If
  If RegEnumValue Then ReturnString = PeekS(ptrTemp, xLong1)
  End Function
